tigase.jaxmpp.core.client.xmpp.modules

## Class ResourceBinderModule.ResourceBindErrorHandler.ResourceBindErrorEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<ResourceBinderModule.ResourceBindErrorHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.ResourceBinderModule.ResourceBindErrorHandler.ResourceBindErrorEvent

- Enclosing interface:
    ResourceBinderModule.ResourceBindErrorHandler

      public static class ResourceBinderModule.ResourceBindErrorHandler.ResourceBindErrorEvent
      extends JaxmppEvent<ResourceBinderModule.ResourceBindErrorHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBindErrorEvent(SessionObject sessionObject, XMPPException.ErrorCondition error)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(ResourceBinderModule.ResourceBindErrorHandler handler)` Invokes handlers method.
    `XMPPException.ErrorCondition` | `getError()`
    `void` | `setError(XMPPException.ErrorCondition error)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBindErrorEvent

          public ResourceBindErrorEvent(SessionObject sessionObject,
                                        XMPPException.ErrorCondition error)

  - ### Method Detail

    - #### dispatch

          public void dispatch(ResourceBinderModule.ResourceBindErrorHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<ResourceBinderModule.ResourceBindErrorHandler>`
      Parameters:
        `handler` - handler

    - #### getError

          public XMPPException.ErrorCondition getError()

    - #### setError

          public void setError(XMPPException.ErrorCondition error)

Copyright © 2006–2020 Tigase. All rights reserved.